=== plugins/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(coincoin)
add_subdirectory(gayattitude)
