## minbif 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 PROJECT(minbif)
+
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${CMAKE_MODULE_PATH} )
 
 SET(CONF_NAME minbif.conf)
 SET(MOTD_NAME minbif.motd)
@@ -18,24 +20,48 @@
 INCLUDE(CheckIncludeFiles)
 INCLUDE(CheckLibraryExists)
 
+if (DEBUG)
+  message(STATUS "Configuring for debug")
+  ADD_DEFINITIONS(-DDEBUG -Werror)
+  SET(CMAKE_BUILD_TYPE Debug)
+else (DEBUG)
+  message(STATUS "Configuring for release")
+  SET(CMAKE_BUILD_TYPE Release)
+endif (DEBUG)
+
 PKG_CHECK_MODULES(PURPLE REQUIRED purple>=2.4)
+PKG_CHECK_MODULES(GTHREAD REQUIRED gthread-2.0)
 
 OPTION(ENABLE_MINBIF "Enable minbif compilation" ON)
 OPTION(ENABLE_PLUGIN "Enable plugin build" OFF)
 OPTION(ENABLE_PAM "Enable PAM support" OFF)
 
 IF(ENABLE_MINBIF)
+	OPTION(ENABLE_IMLIB "Use imlib library" ON)
+	IF(ENABLE_IMLIB OR ENABLE_CACA)
+		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)
+
+		IF(IMLIB_FOUND)
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_IMLIB")
+		ELSE(IMLIB_FOUND)
+			MESSAGE(FATAL_ERROR "Unable to find the imlib2 library. To disable use of imlib2, run 'make ENABLE_IMLIB=OFF'")
+		ENDIF(IMLIB_FOUND)
+	ENDIF(ENABLE_IMLIB OR ENABLE_CACA)
+
 	OPTION(ENABLE_CACA "Enable libcaca library" ON)
 	IF(ENABLE_CACA)
 		PKG_CHECK_MODULES(CACA caca>=0.99)
-		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)
 
 		IF(IMLIB_FOUND AND CACA_FOUND)
-			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_CACA")
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_CACA")
 		ELSE(IMLIB_FOUND AND CACA_FOUND)
-			MESSAGE(FATAL_ERROR "Unable to find the libcaca and/or imlib2 libraries. To disable caca output, run 'make ENABLE_CACA=0'")
+			MESSAGE(FATAL_ERROR "Unable to find the libcaca and/or imlib2 libraries. To disable caca output, run 'make ENABLE_CACA=OFF'")
 		ENDIF(IMLIB_FOUND AND CACA_FOUND)
 
+		PKG_CHECK_MODULES(NEWCACA caca>=0.99.beta17)
+		IF(NOT NEWCACA_FOUND)
+			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_OLD_CACA")
+		ENDIF(NOT NEWCACA_FOUND)
 	ENDIF(ENABLE_CACA)
 
 	OPTION(ENABLE_VIDEO "Enable video support" ON)
@@ -57,28 +83,23 @@
 	PKG_CHECK_MODULES(LIBXML REQUIRED libxml-2.0>=2.5)
 ENDIF(ENABLE_PLUGIN)
 IF (ENABLE_PAM)
-	CHECK_INCLUDE_FILES ("security/pam_appl.h" HAVE_SECURITY_PAM_APPL_H)
-	CHECK_INCLUDE_FILES ("pam/pam_appl.h" HAVE_PAM_PAM_APPL_H)
-	CHECK_INCLUDE_FILES ("security/pam_misc.h" HAVE_SECURITY_PAM_MISC_H)
-	CHECK_INCLUDE_FILES ("security/openpam.h" HAVE_OPENPAM_H)
-	CHECK_INCLUDE_FILES ("security/pam_modules.h" HAVE_PAM_MODULES_H)
+	find_package(PAM)
 
-	CHECK_LIBRARY_EXISTS("pam" "pam_set_item" "" HAVE_LPAM)
+	IF (PAM_FOUND)
+		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_PAM")
+	ENDIF (PAM_FOUND)
+ENDIF (ENABLE_PAM)
+IF (ENABLE_TLS)
+	PKG_CHECK_MODULES(GNUTLS REQUIRED "gnutls")
+	IF (GNUTLS_FOUND)
+		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_TLS")
+	ENDIF (GNUTLS_FOUND)
+ENDIF (ENABLE_TLS)
 
-	IF (HAVE_LPAM)
-		IF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
-			SET(PAM_FOUND TRUE)
-			SET(PAM_LDFLAGS "-lpam")
-			ADD_DEFINITIONS(-DHAVE_PAM)
-		ENDIF (HAVE_SECURITY_PAM_APPL_H OR HAVE_PAM_PAM_APPL_H)
-	ENDIF (HAVE_LPAM)
-ENDIF (ENABLE_PAM)
+INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} ${PAM_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS} "src/")
+LINK_DIRECTORIES(${PURPLE_LIBRARY_DIRS} ${GTHREAD_LIBRARY_DIRS} ${CACA_LIBRARY_DIRS} ${IMLIB_LIBRARY_DIRS} ${GSTREAMER_LIBRARY_DIRS} ${FARSIGHT_LIBRARY_DIRS} ${LIBXML_LIBRARY_DIRS} ${GNUTLS_LIBRARY_DIRS})
 
-INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} "src/")
-LINK_DIRECTORIES(${PURPLE_LINK_DIRS} ${CACA_LINK_DIRS} ${IMLIB_LINK_DIRS} ${GSTREAMER_LINK_DIRS} ${FARSIGHT_LINK_DIRS} ${LIBXML_LINK_DIRS})
-
-SET(CMAKE_BUILD_TYPE ${BUILD})
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Werror -Wall -Wextra -Wno-unused-parameter")
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wall -Wextra -Wno-unused-parameter")
 SET(CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS})
 
 IF(ENABLE_MINBIF)
