=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 IF(PAM_FOUND)
 	SET(MINBIF_EXTRA_FILES_PAM "im/auth_pam.cpp")
 ENDIF(PAM_FOUND)
+IF(GNUTLS_FOUND)
+	SET(MINBIF_EXTRA_FILES_TLS "sockwrap/sockwrap_tls.cpp")
+ENDIF(GNUTLS_FOUND)
 ADD_EXECUTABLE(${BIN_NAME}
 		core/minbif.cpp
 		core/sighandler.cpp
@@ -12,12 +15,16 @@
 		core/callback.cpp
 		core/config.cpp
 		core/caca_image.cpp
+		sockwrap/sockwrap.cpp
+		sockwrap/sockwrap_plain.cpp
+		${MINBIF_EXTRA_FILES_TLS}
 		server_poll/poll.cpp
 		server_poll/inetd.cpp
 		server_poll/daemon_fork.cpp
 		im/im.cpp
 		im/auth.cpp
 		im/auth_local.cpp
+		im/auth_connection.cpp
 		${MINBIF_EXTRA_FILES_PAM}
 		im/protocol.cpp
 		im/account.cpp
@@ -44,7 +51,7 @@
 		irc/conversation_channel.cpp
 	      )
 
-TARGET_LINK_LIBRARIES(${BIN_NAME} "-lpthread -lstdc++" ${PURPLE_LDFLAGS} ${CACA_LDFLAGS} ${IMLIB_LDFLAGS} ${GSTREAMER_LDFLAGS} ${FARSIGHT_LDFLAGS} ${PAM_LDFLAGS})
+TARGET_LINK_LIBRARIES(${BIN_NAME} "-lpthread -lstdc++" ${PURPLE_LIBRARIES} ${GTHREAD_LIBRARIES} ${CACA_LIBRARIES} ${IMLIB_LIBRARIES} ${GSTREAMER_LIBRARIES} ${FARSIGHT_LIBRARIES} ${PAM_LIBRARIES} ${GNUTLS_LIBRARIES})
 
 INSTALL(TARGETS ${BIN_NAME}
         DESTINATION bin)
