=== debian/changelog ===
minbif (1:1.0.3-2) unstable; urgency=low

  * Turn on GNUTLS support.

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Jun 2010 09:31:09 +0200

minbif (1:1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 May 2010 12:17:56 +0200

minbif (1:1.0.2+gc44e5a4-2) unstable; urgency=low

  * Removed bashim in init.d script (Closes: #581123).

 -- Sebastien Delafond <seb@debian.org>  Tue, 11 May 2010 11:29:26 +0200

minbif (1:1.0.2+gc44e5a4-1) unstable; urgency=low

  * Upstream re-released 1.0.2.

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 Apr 2010 11:19:41 +0200

minbif (1:1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Changed Vcs-* info in control file so it points to the packaging
    code.

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Apr 2010 11:47:16 +0200

minbif (1:1.0.1-4) unstable; urgency=low

  * Bumped up versioned dependency on debhelper, as --link-doc for
    dh_install is quite recent.
  * Removed obsolete build patch.
  * Switched to 3.0 (quilt) source format.
  * Included new patch to fix typing notification (Closes: #575794).
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Mar 2010 14:38:59 +0200

minbif (1:1.0.1-3) unstable; urgency=low

  * Updated watch file.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Sun, 21 Feb 2010 15:13:45 +0100

minbif (1:1.0.1-2) unstable; urgency=low

  * Suggest openbsd-inetd | inet-superserver, and don't fail in
    post{inst,rm} if update-inetd is not available (Closes: #567870).

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Feb 2010 11:15:39 +0100

minbif (1:1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jan 2010 14:17:01 +0100

minbif (1:1.0+git20091214+19d5b30-1) unstable; urgency=low

  * Use --retry to make sure the init.d script actually kills the minbif
    process.
  * New development snapshot.
  * Remove -Werror from CFLAGS.

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 Dec 2009 17:41:44 +0100

minbif (1:1.0-1) unstable; urgency=low

  * Official 1.0 release.

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Nov 2009 14:57:35 +0100

minbif (1:1.0~rc2+git20091117+b47a16d-1) unstable; urgency=low

  * New development snapshot.
  * Fixed installation problems of /etc/* files between minbif and
    minbif-common.
  * Updated package descriptions.

 -- Sebastien Delafond <seb@debian.org>  Tue, 17 Nov 2009 11:19:45 +0100

minbif (1:1.0~rc2+git20091028+cf6562b-1) unstable; urgency=low

  * New development snapshot.
  * Split package into minbif-common, minbif and minbif-webcam.
  * Add Vcs-* info to debian/control.

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Oct 2009 16:40:51 +0100

minbif (1:1.0~beta+git20091008+6671b7b-2) unstable; urgency=low

  * Handle "reload" action in init.d script.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 11:59:31 +0200

minbif (1:1.0~beta+git20091008+6671b7b-1) unstable; urgency=low

  * New development snapshot (Closes: #550157).

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 11:25:52 +0200

minbif (1:1.0~beta+git20091005+dfd765c-1) unstable; urgency=low

  * New development snapshot (Closes: #549672).

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Oct 2009 15:25:54 +0200

minbif (1:1.0~beta+git20091001+9f03d91-1) unstable; urgency=low

  * New development snapshot.
  * Updated long description to account for new capabilities.

 -- Sebastien Delafond <seb@debian.org>  Thu, 01 Oct 2009 18:12:53 +0200

minbif (1:1.0~beta+git20090929+fa518a5-1) unstable; urgency=low

  * New development snapshot (default upstream config file now forces
    daemon mode).

 -- Sebastien Delafond <seb@debian.org>  Tue, 29 Sep 2009 11:41:44 +0200

minbif (1:1.0~beta+git20090928+1aadbc4-1) unstable; urgency=low

  * New development snapshot.
  * Added init script for daemon-fork mode.
  * Fixed devscripts (care about commands, and allow debhelper paragraphs).
  * Added debug package.
  * Don't restart the daemon when upgrading, let the administrator handle
    this manually.
  * Thanks Marc Dequènes (Duck) <Duck@DuckCorp.org> for all the
    aforementioned contributions.
  * Deprecate inetd mode in favor of daemon mode.
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Sep 2009 19:49:49 +0200

minbif (1.0alpha+git20090902-1) unstable; urgency=low

  * New upstream version.
  * Tweaked postrm a bit, to remove the inetd line even when not purging.
  * Set copyright year to 2009, after upstream author removed erroneously
    copy-pasted copyright lines referring to 2006.

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Sep 2009 15:32:38 +0200

minbif (1.0alpha+git20090818-2) unstable; urgency=low

  * Properly reference /usr/share/common-license/GPL-2 in
    debian/copyright.

 -- Sebastien Delafond <seb@debian.org>  Sat, 29 Aug 2009 10:44:55 +0200

minbif (1.0alpha+git20090818-1) unstable; urgency=low

  * New upstream version, supporting files reception via DCC.

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Aug 2009 17:07:53 +0200

minbif (1.0alpha+git20090813-1) unstable; urgency=low

  * Initial release (Closes: #541310).

 -- Sebastien Delafond <seb@debian.org>  Thu, 13 Aug 2009 15:09:33 +0200
