=== debian/rules ===
#!/usr/bin/make -f

COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON

builddir/Makefile:
	dh_testdir
	mkdir -p builddir
	cd builddir && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON

builddir2/Makefile:
	dh_testdir
	mkdir -p builddir2
	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON

build: build-stamp

build-stamp:  builddir/Makefile builddir2/Makefile
	dh_testdir
	$(MAKE) -C builddir
	$(MAKE) -C builddir2
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir builddir2 build.minbif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/minbif install
	$(MAKE) -C builddir2 DESTDIR=$(CURDIR)/debian/minbif-webcam install

	mkdir -p $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif/usr/share/* $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif/usr/lib $(CURDIR)/debian/minbif-common/usr/
	mv $(CURDIR)/debian/minbif/etc/* $(CURDIR)/debian/minbif-common/etc/

	cp -r $(CURDIR)/scripts $(CURDIR)/debian/minbif-common/usr/share/minbif

	find  $(CURDIR)/debian -name .git -exec rm "{}" \;

	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif/COPYING

	rm -rf $(CURDIR)/debian/minbif/usr/share
	rm -rf $(CURDIR)/debian/minbif-webcam/usr/share
	rm -fr $(CURDIR)/debian/minbif-webcam/etc

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p minbif-common ChangeLog
	dh_installdocs -X CMakeLists.txt --link-doc=minbif-common
	dh_installexamples -p minbif-common
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -p minbif-common --init-script=minbif --no-restart-on-upgrade
#	dh_installcron
#	dh_installinfo
	dh_installman -p minbif-common
	dh_link
	dh_strip --dbg-package=minbif-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
