=== debian/changelog ===
minbif (1:1.0.4-4) unstable; urgency=low

  * Build-depend on libpam0g-dev (Closes: #601854).

 -- Sebastien Delafond <seb@debian.org>  Sun, 07 Nov 2010 18:25:17 +0100

minbif (1:1.0.4-3) unstable; urgency=low

  * Don't mention webcam functionality in the description of packages
    other than minbif-webcam (Closes: #599928).

 -- Sebastien Delafond <seb@debian.org>  Thu, 14 Oct 2010 15:52:12 +0200

minbif (1:1.0.4-2) unstable; urgency=low

  * Hide harmless warnings generated by adduser if /var/lib/minbif already
    exists (Closes upstream bug #295).

 -- Sebastien Delafond <seb@debian.org>  Wed, 22 Sep 2010 10:57:59 +0200

minbif (1:1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 Sep 2010 19:29:45 +0200
