=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev, libpam0g-dev
+Standards-Version: 3.9.1
 Homepage: http://symlink.me/wiki/minbif
 Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
 Vcs-Browser: http://git.symlink.me/?p=seb/minbif-debian.git;a=summary
@@ -36,7 +36,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
  .
  This package contains the documentation and common plugins.
@@ -69,7 +68,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
 
 Package: minbif-webcam
@@ -134,7 +132,6 @@
   * Auto\-rejoin conversation channels at connection;
   * Display list of channels on an IM account with /LIST;
   * irssi scripts to increase your user experience of minbif;
-  * CACAcam (webcam in ascii art).         
   * CoinCoin plugin for libpurple.         
  .
  This package provides debugging symbols.
