## minbif 1.0.5

=== debian/changelog ===
minbif (1:1.0.5-3) unstable; urgency=low

  * Fix FTBFS with GCC-4.7 (Closes: #667279)

 -- Sebastien Delafond <seb@debian.org>  Tue, 10 Apr 2012 11:26:08 +0200

minbif (1:1.0.5-2) unstable; urgency=low

  * Fix glib headers inclusion (Closes: #665580)
  * Bump up Standards-Version.  

 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Mar 2012 11:22:41 +0200

minbif (1:1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Sun, 04 Dec 2011 15:54:28 +0100
