=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 7.4.2), cmake, libimlib2-dev, libcaca-dev, libpurple-dev (>= 2.6.1), libgstfarsight0.10-dev (>=0.0.9), libgstreamer-plugins-base0.10-dev (>= 0.10.10), libgnutls-dev, libpam0g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://symlink.me/wiki/minbif
 Vcs-Git: git://git.symlink.me/pub/seb/minbif-debian.git
 Vcs-Browser: http://git.symlink.me/?p=seb/minbif-debian.git;a=summary
