=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 	mkdir -p builddir2
 	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:  builddir/Makefile builddir2/Makefile
 	dh_testdir
