=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 		im/auth_local.cpp
 		im/auth_connection.cpp
 		${MINBIF_EXTRA_FILES_PAM}
+		im/plugin.cpp
 		im/protocol.cpp
 		im/account.cpp
 		im/roomlist.cpp
@@ -37,12 +38,16 @@
 		im/purple.cpp
 		irc/settings.cpp
 		irc/irc.cpp
+		irc/cmds.cpp
+		irc/cmds_accounts.cpp
+		irc/cmds_channels.cpp
 		irc/dcc.cpp
 		irc/message.cpp
 		irc/server.cpp
 		irc/nick.cpp
 		irc/user.cpp
 		irc/buddy_icon.cpp
+		irc/conv_entity.cpp
 		irc/buddy.cpp
 		irc/unknown_buddy.cpp
 		irc/chat_buddy.cpp
