=== plugins/lib/CMakeLists.txt ===
ADD_LIBRARY(pluginlib
		http.c
		)
TARGET_LINK_LIBRARIES(pluginlib ${PURPLE_LIBRARIES})
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
