=== debian/changelog ===
minbif (1:1.0.5+git20120508-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/minbif.postinst: Fix directory to symlink upgrade in postinst.
    (Closes: #687660)

 -- David Prévot <taffit@debian.org>  Wed, 26 Sep 2012 15:46:12 -0400

minbif (1:1.0.5+git20120508-2) unstable; urgency=low

  * Re-enable caca so user icons can be displayed; it should not have been
    disabled as part of the fix for #672105. Thanks to Marc Dequènes
    <duck@duckcorp.org> for the sharp eye.

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Aug 2012 12:38:44 +0200

minbif (1:1.0.5+git20120508-1) unstable; urgency=low

  * New upstream snapshot, fixing build problems with gcc 4.7 (Closes: #672018)
  * Do not build minbif-webcam anymore (Closes: #672105)

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 May 2012 11:51:03 +0200
