=== debian/rules ===
--- 
+++ 
@@ -1,32 +1,26 @@
 #!/usr/bin/make -f
 
-COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
+COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
 
 builddir/Makefile:
 	dh_testdir
 	mkdir -p builddir
-	cd builddir && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON
-
-builddir2/Makefile:
-	dh_testdir
-	mkdir -p builddir2
-	cd builddir2 && cmake .. $(COMMON_FLAGS) -DENABLE_VIDEO=ON
+	cd builddir && cmake .. $(COMMON_FLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 
-build-stamp:  builddir/Makefile builddir2/Makefile
+build-stamp:  builddir/Makefile
 	dh_testdir
 	$(MAKE) -C builddir
-	$(MAKE) -C builddir2
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf builddir builddir2 build.minbif
+	rm -rf builddir build.minbif
 	dh_clean
 
 install: build
@@ -35,10 +29,10 @@
 	dh_installdirs
 
 	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/minbif install
-	$(MAKE) -C builddir2 DESTDIR=$(CURDIR)/debian/minbif-webcam install
 
 	mkdir -p $(CURDIR)/debian/minbif-common/usr/share/
 	mv $(CURDIR)/debian/minbif/usr/share/* $(CURDIR)/debian/minbif-common/usr/share/
+	mv $(CURDIR)/debian/minbif-common/usr/share/doc/minbif $(CURDIR)/debian/minbif-common/usr/share/doc/minbif-common
 	mv $(CURDIR)/debian/minbif/usr/lib $(CURDIR)/debian/minbif-common/usr/
 	mv $(CURDIR)/debian/minbif/etc/* $(CURDIR)/debian/minbif-common/etc/
 
@@ -46,11 +40,8 @@
 
 	find  $(CURDIR)/debian -name .git -exec rm "{}" \;
 
-	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif/COPYING
-
+	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif-common/COPYING*
 	rm -rf $(CURDIR)/debian/minbif/usr/share
-	rm -rf $(CURDIR)/debian/minbif-webcam/usr/share
-	rm -fr $(CURDIR)/debian/minbif-webcam/etc
 
 # Build architecture-independent files here.
 binary-indep: install
