=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts="uversionmangle=s/(rc|beta|alpha)/~$1/i"\
 http://symlink.me/projects/list_files/minbif \
 .*?/minbif-(\d.*)\.tar\.gz debian uupdate
